VOS_BACKUPSYS(1)

NAME
vos_backupsys - Creates a backup volume for several read/write volumes

SYNOPSIS
vos backupsys [-prefix <common prefix on volume(s)>+]
    [-server <machine name>] [-partition <partition name>]
    [-exclude] [-xprefix <negative prefix on volume(s)>+]
    [-dryrun] [-cell <cell name>] [-noauth] [-localauth]
    [-verbose] [-help]

vos backups [-pr <common prefix on volume(s)>+]
    [-s <machine name>] [-pa <partition name>] [-e]
    [-x <negative prefix on volume(s)>+] [-d]
    [-c <cell name>] [-n] [-l] [-v] [-h]

DESCRIPTION
The vos backupsys command clones each indicated read/write volume to create a backup version, placing each clone at the same site as its read/write source version. It assigns each clone the same name as the read/write source, adding a ".backup" extension. It assigns the volume ID number already allocated for the backup version in the Volume Location Database (VLDB). If a backup version already exists for a given volume, the new clone replaces it.

To clone every read/write volume listed in the VLDB, omit all of the command's options. Otherwise, combine the command's options to clone various groups of volumes. The options use one of two basic criteria to select volumes: location (the -server and -partition arguments) or presence in the volume name of one of a set of specified character strings (the -prefix, -exclude, and -xprefix options).

To clone only volumes that reside on one file server machine, include the -server argument. To clone only volumes that reside on one partition, combine the -server and -partition arguments. The -partition argument can also be used alone to clone volumes that reside on the indicated partition on every file server machine. These arguments can be combined with those that select volumes based on their names.

Combine the -prefix, -exclude, and -xprefix options (with or without the -server and -partition arguments) in the indicated ways to select volumes based on character strings contained in their names:

•   To clone every read/write volume at the specified location whose name includes one of a set of specified character strings (for example, begins with "user." or includes the string "afs"), use the -prefix argument or combine the -xprefix and -exclude options.

•   To clone every read/write volume at the specified location except those whose name includes one of a set of specified character strings, use the -xprefix argument or combine the -prefix and -exclude options.

•   To clone every read/write volume at the specified location whose name includes one of one of a set of specified character strings, except those whose names include one of a different set of specified character strings, combine the -prefix and -xprefix arguments. The command creates a list of all volumes that match the -prefix argument and then removes from the list the volumes that match the -xprefix argument. For effective results, the strings specified by the -xprefix argument must designate a subset of the volumes specified by the -prefix argument.

    If the -exclude flag is combined with the -prefix and -xprefix arguments, the command creates a list of all volumes that do not match the -prefix argument and then adds to the list any volumes that match the -xprefix argument. As when the -exclude flag is not used, the result is effective only if the strings specified by the -xprefix argument designate a subset of the volumes specified by the -prefix argument.

The -prefix and -xprefix arguments both accept multiple values, which can be used to define disjoint groups of volumes. Each value can be one of two types:

•   A simple character string, which matches volumes whose name begin with the string. All characters are interpreted literally (that is, characters that potentially have special meaning to the command shell, such as the period, have only their literal meaning).

•   A regular expression, which matches volumes whose names contain the expressions. Place a caret ("^") at the beginning of the expression, and enclose the entire string in single quotes (''). Explaining regular expressions is outside the scope of this reference page; see the UNIX manual page for regexp(5) or (for a brief introduction) backup_addvolentry(8). As an example, the following expression matches volumes that have the string "aix" anywhere in their names:

       -prefix  '^.*aix'

To display a list of the volumes to be cloned, without actually cloning them, include the -dryrun flag. To display a statement that summarizes the criteria being used to select volume, include the -verbose flag.

This command can be used to clone a single read/write volume; specify its complete name as the -prefix argument. However, it is more efficient to use the vos backup command, which employs a more streamlined technique for finding a single volume.

OPTIONS

-prefix <common prefix>
    Specifies one or more simple character strings or regular expressions of any length; a volume whose name includes the string is placed on the set of volumes to be cloned. Include field separators (such as periods) if appropriate. This argument can be combined with any combination of the -server, -partition, -exclude, and -xprefix options.

-server <machine name>
    Identifies the file server machine where each read/write source volume resides. Provide the machine's IP address or its host name (either fully qualified or using an unambiguous abbreviation). For details, see vos(1).

    This argument can be combined with any combination of the -prefix, -partition, -exclude, and -xprefix options.

-partition <partition name>
    Identifies the partition where each read/write source volume resides. Provide the partition's complete name with preceding slash (for example, "/vicepa") or use one of the three acceptable abbreviated forms. For details, see vos(1).

    This argument can be combined with any combination of the -prefix, -server, -exclude, and -xprefix options.

-exclude
    Reverses the meaning of the -prefix or -xprefix argument. This flag can be combined with any combination of the -prefix, -server, -partition, and -xprefix options.

-xprefix <negative prefix>
    Specifies a simple character string or regular expression of any length; a volume whose name includes the string is removed from the set of volumes to be cloned. Include field separators (such as periods) if appropriate. This argument can be combined with any combination of the -prefix, -server, -partition, and -exclude options.

-dryrun
    Displays on the standard output stream a list of the volumes to be cloned, without actually cloning them.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see vos(1).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see vos(1).

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see vos(1).

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The command generates the following messages on the standard output stream to confirm that the operation was successful:

   done
   Total volumes backed up: <number_cloned>; failed to backup: <failures>

If the -dryrun flag is included, a list of the volumes to be backed up precedes the standard confirmation messages.

If the -verbose flag is included but not the -dryrun flag, the following messages appear for each volume. The output concludes with the standard confirmation messages.

   Creating backup volume for <volume_name> on <date/time>
   {Recloning backup volume | Creating a new backup clone} <backup_volumeID> . . .done

If both the -dryrun and -verbose flags are included, the output begins with a statement summarizing the criteria being used to select the volumes, followed by a list of the volumes and the standard confirmation messages. The format of the criteria summary statement depends on which other options are provided:

•   If only the -prefix argument is provided, or the -xprefix and -exclude options are combined:

       Would have backed up volumes which are prefixed with <string> [or <string>] . .

•   If only the -xprefix argument is provided, or the -prefix and -exclude options are combined:

       Would have backed up volumes which are not prefixed with <string> [nor <string>] . .

•   If the -prefix and -xprefix arguments are combined:

       Would have backed up volumes which are prefixed with <string> [or <string>] \
          removing those which are prefixed with <x_string> [or <x_string>] . .

•   If the -prefix, -xprefix, and -exclude options are provided:

       Would have backed up volumes which are not prefixed with <string> [nor <string>] \
          adding those which are prefixed with <x_string> [or <x_string>] . .

EXAMPLES
The following example creates a backup version of every read/write volume listed in the cell's VLDB whose name begins with the string user.

   % vos backupsys -prefix user

The following example, appropriate in the ABC Corporation cell, creates a backup version of every read/write volume on the file server machine "fs3.abc.com".

   % vos backupsys -server fs3.abc.com

The following example, appropriate in the State University cell, creates a backup version of every read/write volume on the file server machine "db1.stateu.edu" except those whose name includes the string "temp".

   % vos backupsys  -server db1.stateu.edu -prefix '^.*temp'

The following example creates a backup version of every volume listed in the cell's VLDB, excluding those whose names contain the string "source", but including those whose names contain the string "source.current".

   % vos backupsys  -prefix '^.*source' -exclude -xprefix '^.*source\.current'

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser "root".

SEE ALSO
backup_addvolentry(8), vos(1), vos_backup(1)

UNIX manual page for regexp(5)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.